All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.remotefileselector.actions
Class FindAction

    com.sas.swing.visuals.remotefileselector.actions.FindAction

All Implemented Interfaces:
  ActionStatusKeysInterface, SupplementalPropertyKeysInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, java.awt.event.ActionListener, java.lang.Cloneable, java.rmi.Remote, java.util.EventListener, javax.swing.Action

    public class FindAction

FindAction displays a window used to search a file system.

Since:
  3.1

Field Summary

Fields inherited from interface com.sas.swing.util.Action
`ALIGNMENT_CENTER, ALIGNMENT_LEADING, ALIGNMENT_LEFT, ALIGNMENT_RIGHT, ALIGNMENT_TRAILING, ALTERNATE_TEXT, COMMAND_CLASS, DISABLED_IMAGE_KEY, GROUP_NAME, IMAGE_KEY, LABEL, LARGE_DISABLED_ICON, LARGE_DISABLED_ICON_NAME, LARGE_ICON, LARGE_ICON_NAME, LONG_DISABLED_DESCRIPTION, LONG_NAME, MNEMONIC_INDEX, ROLLOVER_ICON_NAME, ROLLOVER_IMAGE_KEY, SHORT_DISABLED_DESCRIPTION, SMALL_DISABLED_ICON, SMALL_DISABLED_ICON_NAME, SMALL_ICON_NAME, STYLE_MAP, TARGET, TEXT_ALIGNMENT, TYPE, TYPE_BOOLEAN, TYPE_NORMAL, URL`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.SupplementalPropertyKeysInterface
`COMMAND, CUSTOM, DYNAMIC, ENCODE, EXTERNAL`

Constructor Summary
`FindAction()` Default Constructor

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent event)` Executes the command with any dynamic properties that are also encapsulated by this Action.

Methods inherited from class com.sas.actionprovider.BaseAction
`addPropertyChangeListener, applyCommandAttributes, clone, executeCommand, fireEvent, getActionStrategy, getActionType, getAttributeDescriptor, getAttributeDescriptors, getCommand, getReturnStatus, getValue, isCustom, performAction, putValue, removePropertyChangeListener, setActionStrategy, setActionType, setAttribute, setCommand, setCustom, setReturnStatus`

Methods inherited from class com.sas.entities.BaseEntity
`containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Constructor Detail

### FindAction

    public FindAction()

  Default Constructor

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Executes the command with any dynamic properties that are also encapsulated by this Action.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `BaseAction`
  Parameters:
    `event` - the event that initiated this action

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.